# ProjectileCollideEvent (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.entity, class: ProjectileCollideEvent

Package com.destroystokyo.paper.event.entity

# Class ProjectileCollideEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.ProjectileCollideEvent

All Implemented Interfaces:
  `Cancellable`

public class ProjectileCollideEvent extends EntityEvent implements Cancellable
Called when an projectile collides with an entity

This event is called before `EntityDamageByEntityEvent`, and cancelling it will allow the projectile to continue flying

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`ProjectileCollideEvent(@NotNull Projectile what, @NotNull Entity collidedWith)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getCollidedWith()`
Get the entity the projectile collided with
`@NotNull Projectile`
`getEntity()`
Get the projectile that collided
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectileCollideEvent

public ProjectileCollideEvent(@NotNull @NotNull Projectile what, @NotNull @NotNull Entity collidedWith)

## Method Details

### getCollidedWith

@NotNull public @NotNull Entity getCollidedWith()
Get the entity the projectile collided with

Returns:
  the entity collided with

### getEntity

@NotNull public @NotNull Projectile getEntity()
Get the projectile that collided

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  the projectile that collided

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event